Un anunț după id-ul tău
curl --request GET \
--url https://staging.housera.ro/api/v1/account/listings/ref/{ref} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/account/listings/ref/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/account/listings/ref/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/account/listings/ref/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"code": "<string>",
"url": "<string>",
"type": "<string>",
"subtype": "<string>",
"transaction": "<string>",
"title": "<string>",
"description": "<string>",
"content_locale": "<string>",
"price": 123,
"currency": "EUR",
"price_period": "total",
"price_declared": {
"amount": 123,
"currency": "<string>"
},
"reserved": true,
"negotiable": true,
"location": {
"country": "<string>",
"county": "<string>",
"city": "<string>",
"area": "<string>",
"lat": 123,
"lng": 123,
"precision": "<string>"
},
"facts": {},
"features": [
"<string>"
],
"images": [
"<string>"
],
"published_at": "<string>",
"updated_at": "<string>",
"attribution": {
"lister": "<string>",
"source": "<string>",
"source_label": "<string>",
"source_external_id": "<string>"
},
"external_ref": "<string>",
"status": "draft",
"moderation": {
"edit_pending": true,
"rejection_reason": "<string>",
"rejection_codes": [
"<string>"
]
},
"media": {
"processing": true
},
"etag": "<string>"
},
"warnings": [
{
"pointer": "<string>",
"code": "<string>"
}
]
}Anunțurile tale
Un anunț după id-ul tău
Anunțul pe care l-ai creat cu PUT /listings/ref/{ref}, găsit după id-ul din sistemul tău.
GET
/
account
/
listings
/
ref
/
{ref}
Un anunț după id-ul tău
curl --request GET \
--url https://staging.housera.ro/api/v1/account/listings/ref/{ref} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/account/listings/ref/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/account/listings/ref/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/account/listings/ref/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"code": "<string>",
"url": "<string>",
"type": "<string>",
"subtype": "<string>",
"transaction": "<string>",
"title": "<string>",
"description": "<string>",
"content_locale": "<string>",
"price": 123,
"currency": "EUR",
"price_period": "total",
"price_declared": {
"amount": 123,
"currency": "<string>"
},
"reserved": true,
"negotiable": true,
"location": {
"country": "<string>",
"county": "<string>",
"city": "<string>",
"area": "<string>",
"lat": 123,
"lng": 123,
"precision": "<string>"
},
"facts": {},
"features": [
"<string>"
],
"images": [
"<string>"
],
"published_at": "<string>",
"updated_at": "<string>",
"attribution": {
"lister": "<string>",
"source": "<string>",
"source_label": "<string>",
"source_external_id": "<string>"
},
"external_ref": "<string>",
"status": "draft",
"moderation": {
"edit_pending": true,
"rejection_reason": "<string>",
"rejection_codes": [
"<string>"
]
},
"media": {
"processing": true
},
"etag": "<string>"
},
"warnings": [
{
"pointer": "<string>",
"code": "<string>"
}
]
}Autorizări
Authorization: Bearer
Parametri cale
Id-ul anunțului în sistemul tău (până la 100 de caractere: litere, cifre, . _ : / -).
Răspuns
Reușit.
Rezultatul cererii.
Show child attributes
Show child attributes
Ce s-a ignorat din cerere, fără să o refuze (un câmp care nu există pentru tipul și tranzacția anunțului, o dotare necunoscută). Cererea a reușit; verifică-ți maparea.
- Option 1
- Option 2
Show child attributes
Show child attributes